Bug 1305614 - [RFE] Prevention of data mismatch between Foreman database and Pulp & Candlepin
[RFE] Prevention of data mismatch between Foreman database and Pulp & Candlepin
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Repositories (Show other bugs)
6.1.8
Unspecified Unspecified
high Severity high (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: FutureFeature, Triaged, UserExperience
Depends On:
Blocks: GSS_Sat6Beta_Tracker/GSS_Sat6_Tracker
  Show dependency treegraph
 
Reported: 2016-02-08 12:44 EST by Mike McCune
Modified: 2018-04-26 14:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-04-26 14:46:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike McCune 2016-02-08 12:44:00 EST
There are situations where users "Force Unlock" stuck tasks even after reading the warnings during different types of operations. This can lead to data integrity errors between Katello and Foreman.  This results in having to execute similar 'repair' routines found here:

https://access.redhat.com/solutions/1453313

Operations that are Force Unlocked that can cause issues include:

* Repo Enable
* Content View Publish
* Content View Promote
* Content View Deletion
* Product Deletion
* Organization Deletion

We need to handle these situations in automated way with at least a daily check that will delete stale/miss-matched data and get the Satellite back into a working order.
Comment 3 Bryan Kearney 2016-07-26 11:25:24 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 4 Bryan Kearney 2016-07-26 11:36:27 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 6 Mike McCune 2018-04-26 14:46:19 EDT
Various other fixes have gone into 6.2.z and 6.3 that minimize the need for a top level periodic check for mismatches like this.

Going to close this out as no active work on this is taking place. Can re-open if we need to.

Note You need to log in before you can comment on or make changes to this bug.